Varshphal¶
6 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/varshphal/chart |
POST |
Varshphal Chart | |
/api/v1/varshphal/muntha |
POST |
Muntha Analysis | |
/api/v1/varshphal/pancha-vargiya |
POST |
Pancha Vargiya Bala | |
/api/v1/varshphal/predictions |
POST |
Annual Predictions | |
/api/v1/varshphal/sahams |
POST |
Sahams (Sensitive Points) | |
/api/v1/varshphal/year-lord |
POST |
Varshesh (Year Lord) |
POST /api/v1/varshphal/chart¶
Varshphal Chart
Generate Varshphal (Annual Horoscope) chart.
Chart cast for the exact moment when Sun returns to its natal position. This happens once every year around the birthday.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/chart' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/varshphal/muntha¶
Muntha Analysis
Muntha position and effects analysis.
Muntha progresses one sign per year from birth lagna.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/muntha' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/varshphal/pancha-vargiya¶
Pancha Vargiya Bala
Calculate Pancha Vargiya Bala (5-fold strength) for the year.
5 Vargas: Rashi (D1), Hora (D2), Drekkana (D3), Navamsha (D9), Dwadashamsha (D12)
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/pancha-vargiya' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/varshphal/predictions¶
Annual Predictions
Comprehensive annual predictions based on Varshphal analysis.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/predictions' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/varshphal/sahams¶
Sahams (Sensitive Points)
Calculate Sahams (Arabic Parts/Sensitive Points) for the year.
Sahams are calculated using formula: A + B - C
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/sahams' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/varshphal/year-lord¶
Varshesh (Year Lord)
Determine Varshesh (Year Lord) and analyze its effects.
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
year |
integer |
yes | Year for which to calculate Varshphal |
Response 200 — VedicApiResponse
Example
curl -X POST 'https://api.example.com/api/v1/varshphal/year-lord' \
-H 'Authorization: Bearer <API_KEY>'